skip to Main Content

In alcuni casi l’aggiornamento via rete a NethService 8 si è interrotto dopo il download di tutti i pacchetti riportando un errore simile a questo:

error: rpmdbNextIterator: skipping h# 151 Header V3 DSa signature: BAD key ID 443e1821

bloccando di fatto l’update.
Tale errore è dovuto alla corruzione del db degli rpm, ma può essere agevolmente superato ripulendo il db di yum e ricreandolo.

mkdir /root/tmp_yum_db
mv /var/lib/rpm/__db.* /root/tmp_yum_db/
rpm --rebuilddb

Fatto questo è possibile riprendere l’update dando nuovamente il comando di aggiornamento, una volta che NethService sarà passato alla versione 8 rimuovere la cartella temporanea dove erano stati spostati i files del db.

 

Davide Marini

Product Manager NethSecurity e NethHotspot

Lascia un commento

Il tuo indirizzo email non sarà pubblicato. I campi obbligatori sono contrassegnati *

Back To Top